com.smartgwt.client.types

## Enum RowSpanSelectionMode

- java.lang.Object
- - java.lang.Enum<RowSpanSelectionMode>
  - - com.smartgwt.client.types.RowSpanSelectionMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<RowSpanSelectionMode>

      public enum RowSpanSelectionMode
      extends java.lang.Enum<RowSpanSelectionMode>
      implements ValueEnum

  Behavior of selection when row spanning is active. See `useRowSpanStyling`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` when a cell is clicked on, selects any cells in any other columns which are at least partially spanned by the clicked cell
    `FORWARD` when a cell is clicked on, select any cells in subsequent columns which are at least partially spanned by the clicked cell
    `OUTERSPAN` behaves like "forward", except as though the cell in the first column was clicked instead.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static RowSpanSelectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowSpanSelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD

          public static final RowSpanSelectionMode FORWARD

      when a cell is clicked on, select any cells in subsequent columns which are at least partially spanned by the clicked cell

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "forward".

    - #### BOTH

          public static final RowSpanSelectionMode BOTH

      when a cell is clicked on, selects any cells in any other columns which are at least partially spanned by the clicked cell

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

    - #### OUTERSPAN

          public static final RowSpanSelectionMode OUTERSPAN

      behaves like "forward", except as though the cell in the first column was clicked instead. If the largest row spans are in the first column and all cells in subsequent columns do not extend out of the first cell's span, this creates a row-like selection model where the span of the left-most cell defines the "row" of cells being selected.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "outerSpan".

  - ### Method Detail

    - #### values

          public static RowSpanSelectionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowSpanSelectionMode c : RowSpanSelectionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowSpanSelectionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`